Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1172566 - allow setting SSL protocol for external communication
Summary: allow setting SSL protocol for external communication
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 3.5.0
Assignee: Piotr Kliczewski
QA Contact: sefi litmanovich
URL:
Whiteboard: infra
Depends On:
Blocks: rhev35rcblocker rhev35gablocker
TreeView+ depends on / blocked
 
Reported: 2014-12-10 11:32 UTC by Oved Ourfali
Modified: 2016-02-10 19:35 UTC (History)
9 users (show)

Fixed In Version: org.ovirt.engine-root-3.5.0-25
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 17:13:21 UTC
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 36053 None NEW core: protocol config value for foreman provider and attestation Never
oVirt gerrit 36055 ovirt-engine-3.5 MERGED core: protocol config value for foreman provider and attestation Never

Description Oved Ourfali 2014-12-10 11:32:43 UTC
Description of problem:
Allow to set SSL protocol for external communication (i.e., providers).
In order to do that please add a new configuration item, ExternalCommunicationProtocol, that will set the proper SSL protocol.

Comment 3 sefi litmanovich 2015-01-12 14:17:28 UTC
Verified with rhevm-3.5.0-0.28.el6ev.noarch.
satellite 6.0.6 as external provider.

SSL communication with provider works with the different protocols configured with engine-config ExternalCommunicationProtocol parameter.

Communication fails when setting the parameter with a random value, e.g. 'ivalid'.

Verified the communication used the correct protocol with tcpdump.

Comment 4 Eyal Edri 2015-02-17 17:13:21 UTC
rhev 3.5.0 was released. closing.


Note You need to log in before you can comment on or make changes to this bug.